#include "QuadVisualizationPluginFactory.h"
#include "QuadVisualizationPlugin.h"

#include <QtPlugin>

QuadVisualizationPluginFactory::QuadVisualizationPluginFactory()
{
}

QuadVisualizationPluginFactory::~QuadVisualizationPluginFactory()
{
}

ritk::ApplicationPlugin*
QuadVisualizationPluginFactory::CreateInstance()
{
	return new QuadVisualizationPlugin();
}

QString 
QuadVisualizationPluginFactory::GetName()
{
	return ("QuadVisualization");
}

QString 
QuadVisualizationPluginFactory::GetDescription()
{
	return ("Shows four visualization units.");
}


Q_EXPORT_PLUGIN2(QuadVisualizationPlugin, QuadVisualizationPluginFactory)

